<?xml version="1.0" ?>
<config xmlns:xsi="http://www.w3.org/2001/XMLSchema-instance" xsi:noNamespaceSchemaLocation="urn:magento:module:Magento_Config:etc/system_file.xsd">
    <system>
        <tab id="academy_tab" translate="label" sortOrder="5">
            <label>Store Locator</label>
        </tab>

        <section id="store_locator" showInDefault="1" showInWebsite="1" showInStore="1" sortOrder="10" translate="label">
            <label>Shop</label>
            <tab>academy_tab</tab>
            <resource>Academy_Shop::shop</resource>

            <group id="shop" translate="label" sortOrder="10" showInDefault="1" showInWebsite="1" showInStore="1">
                <label>Shop configuration</label>
                <comment>Configuring a shop functionality</comment>

                <field id="enabled" translate="label" sortOrder="10" showInDefault="1" showInWebsite="1" showInStore="1" type="select">
                    <label>Is module enabled</label>
                    <comment>Switch off to not display any stores</comment>
                    <tooltip>Usually these kinds of fields are used to enable or disable a given feature.
                        Other fields might be dependent to this and will only appear if this field is set to yes.</tooltip>
                    <source_model>Magento\Config\Model\Config\Source\Yesno</source_model>
                </field>

                <field id="api_key" translate="label" sortOrder="10" showInDefault="1" showInWebsite="1" showInStore="1" type="text">
                    <label>Gmaps Api Key</label>
                    <comment>
                    This field is required.
                    To get a gmaps api key just login to your google account and go developers.google.com and press on "get key".</comment>
                    <validate>required-entry no-whitespace</validate> <!-- Field is required and must not contain any whitespace. -->
                    <!--<if_module_enabled>VENDOR_MODULE</if_module_enabled>-->
                    <depends> <!-- This field will only be visible if the field with the id A_UNIQUE_FIELD_ID is set to value 1 -->
                        <field id="enabled">1</field>
                    </depends>
                </field>
            </group>
        </section>
    </system>
</config>
